petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLogTraceBegin

Activates trace logging. Every time a PETSc event begins or ends, the event name is printed.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogTraceBegin(FILE *file)

Logically Collective on PETSC_COMM_WORLD Many br

### Input Parameter

file -The file to print trace in (e.g. stdout) Many br

### Options Database Key

-log_trace [filename] -Activates PetscLogTraceBegin() Many br

### Notes

PetscLogTraceBegin() prints the processor number, the execution time (sec), Many brthen "Event begin:" or "Event end:" followed by the event name. Many br

PetscLogTraceBegin() allows tracing of all PETSc calls, which is useful Many brto determine where a program is hanging without running in the Many brdebugger. Can be used in conjunction with the -info option. Many br

Many br

### See Also

PetscLogDump(), PetscLogAllBegin(), PetscLogView(), PetscLogDefaultBegin()

Level:intermediate
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages